Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Fields
Lucene::CompoundFileWriter::FileEntry Struct Reference

`#include <CompoundFileWriter.h>`

## Data Fields

String | file
| source file
int64_t | directoryOffset
| temporary holder for the start of directory entry for this file
int64_t | dataOffset
| temporary holder for the start of this file's data section

## Field Documentation

## ◆ dataOffset

int64_t Lucene::CompoundFileWriter::FileEntry::dataOffset

temporary holder for the start of this file's data section

## ◆ directoryOffset

int64_t Lucene::CompoundFileWriter::FileEntry::directoryOffset

temporary holder for the start of directory entry for this file

## ◆ file

String Lucene::CompoundFileWriter::FileEntry::file

source file

The documentation for this struct was generated from the following file:

- CompoundFileWriter.h

clucene.sourceforge.net